#include "input.inc"
!--------------------------------------------!
! author Simone Meloni, s.meloni@caspur.it   !
! InterUniversity consortium                 !
! application of Supercomputing for          !
! University and Research                    !
! CASPUR                                     !
!                                            !
! - ver 0.2 5/3/2006                         !
!                                            !
!--------------------------------------------!


! force field parameters


#if FORCE_FIELD == LJ
! shifted Lennard-Jones potential
      real*8 rho
      real*8 epsilon, sigma, sigma2
      parameter (epsilon=0.01025, sigma=3.405, sigma2 = sigma**2)
      real*8 cutoff, cutoffSquare
      parameter (cutoff = 3.d0 * sigma, cutoffSquare = cutoff**2)
! immediate functions
      real*8 Pot, Force
      Pot(rho) = 4.d0 * epsilon * ( ((sigma2/rho)**6 - (sigma2/rho)**3) -&
                   ((sigma2/cutoffSquare)**6 - (sigma2/cutoffSquare)**3) )
      Force(rho) = 24.d0 * epsilon * (2 * sigma2**6/rho**7 - sigma2**3/rho**4)
#elif FORCE_FIELD == SW
! 2 body component of Stillinger-Weber potential for Silicon
      real*8 rho
      real*8, parameter:: A = 15.2764, B = 11.6008893,&
         C = 2.09510, D = 1.0, p = 4.0, q = 0.0, cutoff = 3.771180
      real*8, parameter:: cutoffSquare = cutoff**2
! immediate functions
      real*8 Pot, Force
      Pot(rho) = A*(B*(rho**0.5)**-p - D*(rho**0.5)**-q) * &
         exp(C/((rho**0.5)-cutoff))
      Force(rho) = A/(rho**0.5) * exp(C/((rho**0.5)-cutoff)) * &
         (C * (B*(rho**0.5)**-p - D*(rho**0.5)**-q)/((rho**0.5)-cutoff)**2.d0 + &
         B*p*(rho**0.5)**-(p+1) - &
         B*q*(rho**0.5)**-(q+1))
#endif
