!--------------------------------------------!
! author Simone Meloni, s.meloni@caspur.it   !
! InterUniversity consortium                 !
! application of Supercomputing for          !
! University and Research                    !
! CASPUR                                     !
!                                            !
! - ver 0.1b 9/4/2005                        !
!                                            !
!--------------------------------------------!

! velocity integration
      subroutine UpdateVelocities(numAtoms, velocities, &
                                 forces, mass, halfTimeStep)
! arguments
      integer numAtoms
      real*8 velocities(3,numAtoms), forces(3, numAtoms)
      real*8 mass, halfTimeStep
! variables
      integer i,j

      factor =  halfTimeStep/mass

! !!! this is equivalent to a call to daxpy (level 1 BLAS subroutine)
            velocities(:,:) = velocities(:,:) + factor * forces(:,:)

      return
      end

! position integration
      subroutine UpdatePositions(numAtoms, positions, velocities, &
                      timeStep)
! arguments
      integer numAtoms
      real*8 positions(3,numAtoms), velocities(3,numAtoms)
      real*8 timeStep
! variables
      integer i,j

! !!! this is equivalent to a call to daxpy (level 1 BLAS subroutine)
            positions(:,:) = positions(:,:) + timeStep * velocities(:,:)

      return
      end
